Bug 696513 - Boot hangs at starting plymouth daemon
Boot hangs at starting plymouth daemon
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
15
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 04:00 EDT by Aaron
Modified: 2012-08-07 14:19 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aaron 2011-04-14 04:00:09 EDT
Description of problem:
Once every while, boot hang's at "Starting plymouth daemon" and does not continue. Along with plymouth rarely working at all

Version-Release number of selected component (if applicable):
plymouth-0.8.4-0.20110304.1.fc15.x86_64

How reproducible:
quite

Steps to Reproduce:
1. set computer graphics card bios to switchable
2. boot up a few times
3. plymouth hangs once every while, and rarely even starts

Additional info:
Acer 4820TG
ATI Mobility Radeon HD 5470 with 512MB dedicated graphics memory and a second Intel HD graphics card
Intel Core i3 Processor
Comment 1 ghutzriop 2011-05-06 10:16:11 EDT
This also affects the Acer Aspire 3820TG with ATI Mobility Radeon HD 5650 + i5-460M. This bug severely impacts battery life because only the discrete GPU can be used.

Kernel mode setting is already active and the display's native resolution is set when the boot process hangs.
Comment 2 Nanashi 2011-05-28 07:22:04 EDT
Same problem here with an MSI CX620.
 
My graphics cards are an ATI Radeon HD5470 1GO and an Intel integrated graphic chipset, switch powered by ATI Switchable Graphics Technology.
Intel Core i5-430M processor.

Distro : Fedora 15 x86_64
Kernel version : 2.6.38.6-27.fc15.x86_64
Plymouth version : 0.8.4-0.20110510.2.fc15.x86_64

Plymouth was already shy on F14 and now on F15 I never saw it and I often have the hanging issue.
Comment 3 Nanashi 2011-05-31 05:06:31 EDT
It seems that the problem comes from the fact that F15 uses the Intel chipset by default, and not the Radeon.

Screenshot : http://img193.imageshack.us/img193/5223/fenetree.jpg

If the Radeon can show Plymouth graphics correctly, it seems that the Intel chipset cannot and it results in an unstable boot. 
Maybe the installation of the Radeon proprietary pilots would help booting correctly once they are available. I tried to install them and Plymouth shows up but then I have an akmod availability error message and X does not start.
Comment 4 firefexx 2011-05-31 09:45:52 EDT
Same behavior here.
I removed rhgb parameter from grub.conf since F14. So I don't think it concerns displaying the graphical plymouth.

Piece of output:
...
[    2.329281] [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b
udevd-work[127]: '/sbin/modprobe -bv pci: v00001002d000068C1sv0000103Csd0000144Abc03sc00i00' unexpected exit with status 0x0009
[    2.484412] dracut: Starting plymouth daemon

Then, it hangs.

GPUs:
$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Redwood [Radeon HD 5600 Series]
Comment 5 Nanashi 2011-05-31 09:56:06 EDT
So it might be an incompatibility between Plymouth daemon and Intel chipset. You're right I have tried without the RHGB and I have the same problem.
Comment 6 firefexx 2011-06-01 12:07:22 EDT
Uhm, unfortunately adding rd.plymouth=0 parameter in grub.conf doesn't solve the boot problems.
Now it stops at
[    11.239086] SELinux: initialized (dev sda2, type ext4), uses xattr

That makes the bug critical for me, so I hope it will be fixed soon.
Comment 7 Nanashi 2011-06-02 21:10:36 EDT
I tried with "radeon.modeset=0" added to the line which contains "rhgb quiet" and this seems to debug the boot. I even have the graphical boot with Fedora logo. 

The system still uses the Intel chipset as the default graphic card when Gnome 3 has started but at least the boot works.

If you try it please tell me if it works for you too!
Comment 8 firefexx 2011-06-03 04:03:56 EDT
Yeah, the last few reboots were successful.
It seems that we finally have a workaround.

Thanks.
Comment 9 Nanashi 2011-06-03 08:41:59 EDT
You're welcome, I'm glad it worked !
Comment 10 Robin Lee 2011-06-25 11:01:06 EDT
Acer 4820TG, "radeon.modeset=0" works around the issue.

But then the virtual file /sys/kernel/debug/vgaswitcheroo/switch doesn't show up, and so I cannot switch between the two graphical cards and cannot completely disable one of them to save power.
Comment 11 Gwyn Williams 2011-07-14 04:41:35 EDT
I have a Thinkpad E420 with ATI Whistler AMD Radeon HD 6600M graphics card. Core i5-2520 processor, Mobile Intel® HM65 Express Chipset, Fedora 15

Same problems booting (I couldn't boot into Ubuntu 11.04 either. But adding "nomodeset" to the kernel line got me in. I then upgraded the kernel and haven't had problems since).

The work around suggested by Nanashi involving "radeon.modeset=0" initially looked promising for me in Fedora. The graphical boot screen started all lovely and blue. But then it died. The system hung, again with a black screen. 

I tried again, and pressing esc brought up text. It hung again after this:
"Started /boot. 
Starting Show Plymouth Boot Screen ... 
Started Wait for storage scan. 
Starting Initialize storage subsystems (Raid, LVM, etc.)..."
Comment 12 Stephan Dühr 2011-07-19 16:58:03 EDT
Same happened to me on Lenovo Thinkpad T420 with i7-2620M and nvidia/optimus. Disabling nvidia in BIOS didn't help.
Workaround that works for me was removing "rhgb quiet" from kernel cmdline
Comment 13 Nanashi 2011-07-20 05:07:08 EDT
@ Stephan : I think I read somewhere that it should work with nouveau.modeset=0 for Nvidia Optimus.
Comment 14 Shailen 2011-09-14 12:45:59 EDT
I have added 'radeon.modeset=0' in /boot/grub/menu.lst and rebooted.

But I am still getting the error.

Can someone suggest me the work arround for this issue?
Comment 15 Nanashi 2011-09-14 16:43:06 EDT
You have to add it in the /boot/grub/grub.conf file, not menu.lst

It must be added to the line which contains 'rhgb quiet'
Comment 16 Shailen 2011-09-14 21:07:57 EDT
In my laptop,  the /boot/grub/menu.lst is pointing to /boot/grub/grub.conf.

menu.lst -> grub.conf.

Also I added the change as below but still the error doesnt go away.

radeon.modeset=0 rhgb quiet

Should I try fedora 14? Is it also having same issue? I tried many work arrounds with fedora 15 (32 bit and 64 bit) but cant seem to get away :(
Comment 17 Shailen 2011-09-14 21:11:30 EDT
In my laptop,  the /boot/grub/menu.lst is pointing to /boot/grub/grub.conf.

menu.lst -> grub.conf.

Also I added the change as below but still the error doesnt go away.

radeon.modeset=0 rhgb quiet

Should I try fedora 14? Is it also having same issue? I tried many work arrounds with fedora 15 (32 bit and 64 bit) but cant seem to get away :(
Comment 18 Nanashi 2011-09-15 11:10:50 EDT
I had no problem in FC14 but the solution I gave you works for me. I have no menu.lst on my laptop, if I open /boot/grub/menu.lst with gedit I have an empty file, whilst /boot/grub/grub.conf is the boot parameters file
Comment 19 Shailen 2011-09-16 00:24:30 EDT
I had updated /boot/grub/grub.conf file with the changes you suggested. But it doesn't work for me.

Does this problem occur only with LIVE CD image Fedora-15-x86_64-Live-Desktop.iso ?
Comment 20 Nanashi 2011-09-16 04:35:28 EDT
No, I have had the same problem with the KDE live cd. If I remember well I had no problem with F14. I have had the same problem with Ubuntu 11.04. No problem on 10.10, but 11.04 leads to the same bug.

I'm sorry I think I can't help you :/
Comment 21 Shailen 2011-09-16 07:04:11 EDT
If this issue is specific to LIVE CD, may be I can try install non-LIVE CD image of fedora 15?

By the way, has this issue been addressed in Fedora-16 ?
Comment 22 Nanashi 2011-09-16 10:47:21 EDT
I doubt this is a Live-CD specific problem. Plus as I wrote above the problem also exists on Ubuntu 11.04, so it's not specific to Fedora. Maybe it's a kernel problem, because I had no problem in Ubuntu 10.10, this appeared in Ubuntu 11.04, I installed F14 and had no problem, then upgraded to F15 and had the problem again. 

Dunno if the issue has been adressed in F16, I just know some people are working on the switchable graphics technology.
Comment 23 peter doyle 2011-10-03 13:44:55 EDT
i had the same problems with a "HP ProBook 4730s XU076UT Notebook PC - Intel Core i7-2630QM 2.0GHz, 8GB DDR3, 750GB HDD, Blu-ray Burner, ATI Mobility Radeon HD 6370"... on both live cd (frequently but not all the time) and full install (every time). Nanashi's workaround "radeon.modeset=0" worked for me. just got to use the live cd and then "boot from local drive" and hit esc quickly in order to get the option to modify the kernel parameters. since i was unable to run a full install (same issue, never started), i had to install from live cd first then use it to modify the startup params as i never did get it to start up normally when running from hard disk
Comment 24 Fedora End Of Life 2012-08-07 14:19:26 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.